Subject: RSVP VS LDP

From: Ramanjaneyulu Y T <[email-masked]>
Date: Tue, 25 Jul 2000 23:44:41 +0530 (IST)

Hi,

  I got one basic doubt in MPLS. For label distribution MPLS uses RSVP or
LDP. Suppose some one uses RSVP for label distribution, Is LDP required to
maintain path info., like node is alive or not or LSP is up or down?. I
guess the above tasks can also achievd with RSVP without LDP. If so
please suggest some reading material.

        Thanking you.
                                  
                                         Regards
                                        Ramanjaneyulu Y.T. 
 
 " A real friend is one who walks in when the rest of the world walks
 out."
 ------------------------------------------------------------------------------ 
Y.T.RAMANJANEYULU                        |   My other mail Ids:
E-70,INDIAN INSTITUTE OF SCIENCE         |         [email-masked]
BANGALORE - 560012                       |         [email-masked]
PH: 0091 - 080 - 3092622 ( HOSTEL )      |
    0091 - 080 - 3092906 ( LAB )         |
                   visit my home page:www2.csa.iisc.ernet.in/~ytr
--------------------------------------------------------------------------------

---

From: Vasanthi <[email-masked]>
Date: Tue, 25 Jul 2000 18:30:37 -0400

Hi,
    No. You don't have to use LDP to maintain the path/node state. RSVP is a
soft-state protocol and the PATH/RESERVE exchanges are your tool to maintain path
state. You can refer to RFC 2205 to understand how RSVP works.

-Vasanthi